function display(A)

% DISPLAY(A)
%
% Displays an timescale object A. This is usually called by simply evaluating
% a timescale object without a semi-colon, so the user can see the contents.
%

% Ian Gravagne, 6/20/03 Baylor University

if isequal(get(0,'FormatSpacing'),'compact')

    disp([inputname(1),' =']);
    
    if(isempty(A.type))
        disp('     [Empty timescale object: no interval]');
    end
    
    p = 1;
    for i = 1:size(A.type,2)
        q = A.type(1,i);  
        if(A.type(2,i))
            message = ['Interval ',num2str(i),' is DISCRETE:'];
            disp(message);
        else
            message = ['Interval ',num2str(i),' is CONTINUOUS:'];
            disp(message);
        end
        
        if( ~isempty(A.data(p:q)) )
            disp(A.data(p:q));
        else
            disp('     [Empty inverval]');
        end
        
        p = q + 1;
    end
    
else
    
    disp(' ');
    disp([inputname(1),' =']);
    disp(' ');
    
    if(isempty(A.type))
        disp('     [Empty timescale object: no intervals]');
        disp(' ');
    end
    
    p = 1;
    for i = 1:size(A.type,2)
        q = A.type(1,i);  
        if(A.type(2,i))
            message = ['Interval ',num2str(i),' is DISCRETE:'];
            disp(message);            
            disp(' ');
        else
            message = ['Interval ',num2str(i),' is CONTINUOUS:'];
            disp(message);
            disp(' ');
        end

        if( ~isempty(A.data(p:q)) )
            disp(A.data(p:q));
        else    
            disp('     [Empty]');
            disp(' ');
        end

        p = q + 1;
    end

    
    
    
end