function [I,flag] = find(T)

% [I,FLAG] = FIND(T)
%
% Works similarly to the standard FIND function. Returns the instances of nonzero entries in 
% the timescale object T, such that T(I) returns the nonzero values. The optional FLAG output
% indicates whether the corresponding indices point to a continuous (FLAG = 0) or discrete
% (FLAG = 1) interval. FIND returns empty if there are no nonzero entries in T.

% Ian Gravagne, 12/29/03 Baylor University

t = T(:);
s = size(T);
I = find(t);

if(nargout > 1)
    for(i = I)
        index = find([[s(1,:) > i] & [s(1,:) <= i]]);
        flag(i) = index;
    end
end

